# TPrimitiveSampler Class Reference

Inheritance diagram for TPrimitiveSampler:

List of all members.

## Public Member Functions
| TPrimitiveSampler (I3DShPrimitive *primitive, const TTransform3D &transform, uint32 inUVSpaceID=kAllIDs, boolean useRenderingMesh=true, boolean useSelfSampling=false)
boolean | InitSampling ()
void | GetPoint (TVector3 &position, TVector3 &normal)
int32 | GetSamplePoint (TSamplePoint &outSample)
void | GetSampleInfos (const TSamplePoint &place, ShadingIn &shadingInfos)
## Static Public Attributes
static const uint32 | kAllIDs
## Protected Member Functions
FacetMesh * | GetFacetMeshSource ()
## Protected Attributes
TMCCountedPtr< I3DShPrimitive > | fPrimitive
TMCCountedPtr< FacetMesh > | fFacetMesh
TMCCountedPtr< ISelfSampler > | fSelfSampler
const TTransform3D | fTransform
const TTransform3D | fInvTransform
uint32 | fUVSpaceID
boolean | fUseRenderingMesh
boolean | fNoTransform

## Constructor & Destructor Documentation

TPrimitiveSampler::TPrimitiveSampler | ( | I3DShPrimitive * | primitive,
|  | const TTransform3D & | transform,
|  | uint32 | inUVSpaceID = `kAllIDs`,
|  | boolean | useRenderingMesh = `true`,
|  | boolean | useSelfSampling = `false` |
| ) |  |  |

## Member Function Documentation

FacetMesh* TPrimitiveSampler::GetFacetMeshSource | ( |  | ) | `[protected]`

void TPrimitiveSampler::GetPoint | ( | TVector3 & | position,
|  | TVector3 & | normal |
| ) |  |  |

returns a point in global coordinates on the surface of the primitive

Parameters:

  | position | the resulting point
  | normal | the resulting normal

void TPrimitiveSampler::GetSampleInfos | ( | const TSamplePoint & | place,
|  | ShadingIn & | shadingInfos |
| ) |  |  |

Get the current position, normal and shading infos of a sample point

Parameters:

  | place | the sample point
  | shadingInfos | return the shading infos

int32 TPrimitiveSampler::GetSamplePoint | ( | TSamplePoint & | outSample | ) |

returns a sample point: the facet index and the coordinates in the facet

Parameters:

  | outSample |

Reimplemented from TTriangleSampler.

boolean TPrimitiveSampler::InitSampling | ( |  | ) |

## Member Data Documentation

TMCCountedPtr<FacetMesh> TPrimitiveSampler::fFacetMesh`[protected]`

const TTransform3D TPrimitiveSampler::fInvTransform`[protected]`

boolean TPrimitiveSampler::fNoTransform`[protected]`

TMCCountedPtr<I3DShPrimitive> TPrimitiveSampler::fPrimitive`[protected]`

TMCCountedPtr<ISelfSampler> TPrimitiveSampler::fSelfSampler`[protected]`

const TTransform3D TPrimitiveSampler::fTransform`[protected]`

boolean TPrimitiveSampler::fUseRenderingMesh`[protected]`

uint32 TPrimitiveSampler::fUVSpaceID`[protected]`

const uint32 TPrimitiveSampler::kAllIDs`[static]`

The documentation for this class was generated from the following file:

- PrimitiveSampler.h